%define	major	5
%define majorminor	%{major}.2.0
%define	lname	lzma
%define libname %mklibname %{lname} %{major}
%define libdev  %mklibname -d %{lname}

Summary: 	XZ utils
Name: 		xz
Version: 	5.2.0
Release: 	%mkrel 1
License: 	Public Domain
Group:		Archiving/Compression
Source0:	http://tukaani.org/xz/%{name}-%{version}.tar.xz
Source1:	xzme
Requires:	%{libname} = %{version}-%{release}
# add special tuning for text files, parameter: '--text':
Patch0:		xz-5.2.0-text-tune.patch
%rename		lzma
BuildRequires:	zlib-devel
BuildRequires:	diffutils
URL:		http://tukaani.org/xz/

%description
XZ provides very high compression ratio and fast decompression. The
core of the XZ utils is Igor Pavlov's LZMA SDK containing the actual
LZMA encoder/decoder. LZMA utils add a few scripts which provide
gzip-like command line interface and a couple of other XZ related
tools. Also provides:

- Average compression ratio 30% better than that of gzip and 15%
  better than that of bzip2.

- Decompression speed is only little slower than that of gzip, being
  two to five times faster than bzip2.

- In fast mode, compresses faster than bzip2 with a comparable
  compression ratio.

- Achieving the best compression ratios takes four to even twelve
  times longer than with bzip2. However. this doesn't affect
  decompressing speed.

- Very similar command line interface than what gzip and bzip2 have.

%package -n	%{libname}
Summary:	Libraries for decoding XZ/LZMA compression
Group:		System/Libraries
Requires(pre):	filesystem >= 2.1.9-18
Conflicts:	%{name} < %{version}-%{release}

%description -n	%{libname}
Libraries for decoding LZMA compression.

%package -n	%{libdev}
Summary:	Devel libraries & headers for liblzma
Group:		Development/C
Requires(pre):	filesystem >= 2.1.9-18
Requires:	%{libname} = %{version}
Provides:	%{lname}-devel = %{version}-%{release}
Provides:	lib%{lname}-devel = %{version}-%{release}

%description -n %{libdev}
Devel libraries & headers for liblzma.

%prep
%setup -q -n %{name}-%{version}
%apply_patches

%build
CFLAGS="%{optflags} -O3 -funroll-loops" \
%configure2_5x
%make

%install
%makeinstall_std
install -m755 %{SOURCE1} -D %{buildroot}%{_bindir}/xzme

rm -f %{buildroot}%{_libdir}/*.la
%find_lang %{name}

%check
make check

%files -f %{name}.lang
%doc README THANKS
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/liblzma.so.%{majorminor}
%{_libdir}/liblzma.so.%{major}

%files -n %{libdev}
%defattr(644,root,root,755)
%{_includedir}/%{lname}.h
%dir %{_includedir}/%{lname}
%{_includedir}/%{lname}/*.h
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/lib%{lname}.pc


%changelog
* Mon Dec 22 2014 tmb <tmb> 5.2.0-1.mga5
+ Revision: 804939
- 5.2.0 stable

* Wed Oct 15 2014 umeabot <umeabot> 5.1.4-0.beta.4.mga5
+ Revision: 740872
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tmb <tmb> 5.1.4-0.beta.3.mga5
+ Revision: 734915
- make the lib conflict older xz to ensure upgrade in same transaction

* Thu Oct 02 2014 tmb <tmb> 5.1.4-0.beta.2.mga5
+ Revision: 734894
- xz must have strict deps on lzma lib as does not have stable api

* Wed Oct 01 2014 luigiwalser <luigiwalser> 5.1.4-0.beta.1.mga5
+ Revision: 733831
- update to 5.1.4beta
- rediff patch 0

* Tue Sep 16 2014 umeabot <umeabot> 5.1.3-0.alpha.3.mga5
+ Revision: 690809
- Mageia 5 Mass Rebuild

* Tue Aug 19 2014 tv <tv> 5.1.3-0.alpha.2.mga5
+ Revision: 665729
- drop dietlibc build (no more needed by stage1)

* Fri Mar 14 2014 shlomif <shlomif> 5.1.3-0.alpha.1.mga5
+ Revision: 603484
- Upgrade to 5.1.3 (MGA #13018).

* Fri Oct 18 2013 umeabot <umeabot> 5.1.2-0.alpha.4.mga4
+ Revision: 520864
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 5.1.2-0.alpha.3.mga3
+ Revision: 387537
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 02 2012 tv <tv> 5.1.2-0.alpha.2.mga3
+ Revision: 302007
- restore lzma provides

* Tue Oct 02 2012 tv <tv> 5.1.2-0.alpha.1.mga3
+ Revision: 302002
- new release (like FC & mdv) (multithreaded compression)
- rediff patch 0
- drop very old provides/conflicts
- fix build with dietlibc
- explain patch 0

* Sat Jul 21 2012 colin <colin> 5.0.4-2.mga3
+ Revision: 273158
- Update for usrmove

* Mon Jun 25 2012 fwang <fwang> 5.0.4-1.mga3
+ Revision: 263355
- new version 5.0.4

* Sat Apr 28 2012 colin <colin> 5.0.3-3.mga2
+ Revision: 234087
- Move liblzma to / from /usr (needed by systemctl+kmod)

* Sun Jan 15 2012 tv <tv> 5.0.3-2.mga2
+ Revision: 196475
- build with dietlibc

* Sun Jul 17 2011 fwang <fwang> 5.0.3-1.mga2
+ Revision: 125415
- new version 5.0.3

* Fri Apr 08 2011 tmb <tmb> 5.0.2-1.mga1
+ Revision: 82058
- liblzma: Fix a memory leak in stream_encoder.c (P1)
- update to 5.0.2
- update url

* Sat Jan 08 2011 blino <blino> 5.0.0-2.mga1
+ Revision: 576
- imported package xz


* Wed Dec 15 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 5.0.0-2mdv2011.0
+ Revision: 621846
- update license
- resurrect --text option patch

* Wed Nov 17 2010 Olivier Faurax <ofaurax@mandriva.org> 5.0.0-1mdv2011.0
+ Revision: 598139
- Bump version to 5.0.0

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 4.999.9beta-2mdv2010.1
+ Revision: 524476
- rebuilt for 2010.1

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - update summary & description due to lzma -> xz name change

* Thu Sep 03 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 4.999.9beta-1mdv2010.0
+ Revision: 428978
- update to 4.999.9beta

* Mon Mar 09 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 4.999.8beta-0.2mdv2009.1
+ Revision: 353301
- add back recompression tool (xzme, renamed from lzme, now using xz format, fixes #48231)

* Sun Jan 25 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 4.999.8beta-0.1mdv2009.1
+ Revision: 333378
- update to latest code from git (contains some fixes required by pyliblzma 0.5.0)

* Thu Jan 08 2009 Funda Wang <fwang@mandriva.org> 4.999.7-0.beta.2mdv2009.1
+ Revision: 327157
- rebuild

* Mon Jan 05 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 4.999.7-0.beta.1mdv2009.1
+ Revision: 325129
- update to 4.999.7beta

* Tue Dec 30 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 4.999.6-0.alpha.6mdv2009.1
+ Revision: 321391
- add lzme util from older lzma package (should become xzme eventually..)

* Mon Dec 29 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 4.999.6-0.alpha.5mdv2009.1
+ Revision: 321121
- rename to 'xz'
- add text tune patch (P1) which provides same --text option as we introduced for
  old tool..
- update source, new tool and format has now been renamed to 'xz'
- rename

* Mon Dec 22 2008 Oden Eriksson <oeriksson@mandriva.com> 4.999.6-0.alpha.4mdv2009.1
+ Revision: 317511
- fix major, he he he, funny!

* Sun Dec 21 2008 Oden Eriksson <oeriksson@mandriva.com> 4.999.6-0.alpha.3mdv2009.1
+ Revision: 317047
- rebuild

* Sun Oct 19 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 4.999.6-0.alpha.2mdv2009.1
+ Revision: 295258
- d'oh, bump major again due to lzmalib conflicts

* Fri Oct 17 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 4.999.6-0.alpha.1mdv2009.1
+ Revision: 294620
- * new release
  * ditch lzma-4.999.3alpha-use-lzma_alone-format-by-default.patch, this is now the
  default
  * bump major (P1)

* Fri Jul 18 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 4.999.3-0.alpha.3mdv2009.0
+ Revision: 238248
- new git snapshot
- drop P1 (fixed upstream)
- drop ldconfig scriptlets since package is new and doesn't exist in older releases

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon May 12 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 4.999.3-0.alpha.2mdv2009.0
+ Revision: 206503
- remove help text about options not available for LZMA_Alone (updates P0)
- handle broken pipe (P1)
- build with -O3 & -funroll-loops

* Sun May 04 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 4.999.3-0.alpha.1mdv2009.0
+ Revision: 201109
- provide liblzma-devel
- import lzma-utils


* Thu Apr 30 2008 Per yvind Karlsen <peroyvind@mandriva.org> 4.99.3alpha-1
- initial Mandriva release.
